Subject: bug#38392: zap-up-to-char should appear in "Deletion and Killing" Emacs info section and "Command Index"

From: Drew Adams <[email-masked]>
Date: Wed, 27 Nov 2019 08:04:06 -0800 (PST)

> What about having a class of inclusivity modifiers of the form `C-I
> element` (I is isomorphic to set of inclusivities {before, through,
                                                     ^^^^^^
> after}),
  ^^^^^
> element is either RET for defining inclusivity alone, or a
> `regexp RET` for including a certain pattern, similar to C-u, which
> would pass an argument to things like C-f, C-b, C-s and do the
> appropriate?

Just a comment about "before" and "after":

Those terms should be used only if the functionality
really does proceed in a particular buffer direction.

For example, the proposed Isearch commands I
mentioned, which have names with "through", can
work in either forward or backward direction, so
in their case "after" or "before" would be wrong,
for the command name.